<?php
// $Id: feeds_test.profile,v 1.5 2010/07/25 21:46:35 alexb Exp $

/**
 * Return an array of the modules to be enabled when this profile is installed.
 */
function feeds_test_profile_modules() {
  return array(
    'help',
    'menu',
    'taxonomy',
    'dblog',
    'ctools',
    'libraries',
    'feeds',
    'feeds_ui',
    'feeds_defaults',
    'schema',
    'data',
    'data_ui',
    'content',
    'text',
    'number',
    'date_api',
    'date',
    'link',
    'views',
    'views_ui',
    'devel',
  );
}

/**
 * Return a description of the profile for the initial installation screen.
 */
function feeds_test_profile_details() {
  return array(
    'name' => 'Feeds Test Site',
    'description' => 'A site designed for testing Feeds module.'
  );
}

/**
 * Return a list of tasks that this profile supports.
 */
function feeds_test_profile_task_list() {
}

/**
 * Implementation of hook_profile_tasks().
 */
function feeds_test_profile_tasks(&$task, $url) {
  drupal_set_message(t('IMPORTANT: Please manually install Simpletest now. Follow install instrutions in its INSTALL.txt file!'));
  // Update the menu router information.
  menu_rebuild();
}

/**
 * Implementation of hook_form_alter().
 */
function feeds_test_form_alter(&$form, $form_state, $form_id) {
  if ($form_id == 'install_configure') {
    // Set default for site name field.
    $form['site_information']['site_name']['#default_value'] = 'Feeds Test Site';
    $form['site_information']['site_mail']['#default_value'] = 'admin@'. $_SERVER['HTTP_HOST'];
    $form['admin_account']['account']['name']['#default_value'] = 'admin';
    $form['admin_account']['account']['mail']['#default_value'] = 'admin@'. $_SERVER['HTTP_HOST'];
  }
}
